%define _libexecdir %_prefix/libexec

Summary: Disk management application
Name: gnome-disk-utility
Version: 2.32.1
Release: alt2
License: LGPLv2+
Group: System/Libraries
URL: http://git.gnome.org/cgit/gnome-disk-utility
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: udisks cryptsetup

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: udisks-devel gnome-common gtk-doc intltool libgnome-keyring-devel libnautilus-devel libdbus-glib-devel
BuildRequires: libnotify-devel libunique-devel python-modules-compiler libatasmart-devel libavahi-ui-devel

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc

%package -n libgdu
Summary: Shared libraries used by Palimpsest
Group: System/Libraries
Requires: DeviceKit-disks

%description -n libgdu
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package do not
contain UI-related code

%package -n libgdu-devel
Summary: Development files for gnome-disk-utility-libs
Group: Development/C
Requires: libgdu = %version-%release

%description -n libgdu-devel
This package contains header files and libraries needed to
develop applications with gnome-disk-utility-libs

%package -n libgdu-ui
Summary: Shared libraries used by Palimpsest
Group: System/Libraries
Requires: libgdu = %version-%release

%description -n libgdu-ui
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package contain
disk-related widgets for use in GTK+ applications

%package -n libgdu-ui-devel
Summary: Development files for gnome-disk-utility-ui-libs
Group: Development/C
Requires: libgdu-ui = %version-%release
Requires: libgdu-devel = %version-%release

%description -n libgdu-ui-devel
This package contains header files and libraries needed to
develop applications with gnome-disk-utility-ui-libs

%prep
%setup -q
%patch -p1

%build
gnome-doc-prepare -f
%autoreconf
%configure \
	--libexecdir=%_libexecdir \
	--disable-gtk-doc \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang --with-gnome --output=global.lang %name palimpsest

%files -f global.lang
%_sysconfdir/xdg/autostart/gdu-notification-daemon.desktop
%_bindir/palimpsest
%_libexecdir/gdu-notification-daemon
%_libexecdir/gdu-format-tool
%_libdir/nautilus/extensions-2.0/*.so
%_desktopdir/palimpsest.desktop
%_iconsdir/hicolor/*/apps/*

%files -n libgdu
%_libdir/libgdu.so.*

%files -n libgdu-ui
%_libdir/libgdu-gtk.so.*

%files -n libgdu-devel
%dir %_includedir/gnome-disk-utility
%_includedir/gnome-disk-utility/gdu
%_libdir/libgdu.so
%_pkgconfigdir/gdu.pc
#_datadir/gtk-doc/html/gnome-disk-utility

%files -n libgdu-ui-devel
%_includedir/gnome-disk-utility/gdu-gtk
%_libdir/libgdu-gtk.so
%_pkgconfigdir/gdu-gtk.pc

%changelog
* Wed Apr 20 2011 Valery Inozemtsev <shrek@altlinux.ru> 2.32.1-alt2
- updated build dependencies

* Thu Nov 11 2010 Valery Inozemtsev <shrek@altlinux.ru> 2.32.1-alt1
- 2.32.1

* Fri Oct 08 2010 Valery Inozemtsev <shrek@altlinux.ru> 2.32.0-alt1
- 2.32.0

* Sun Aug 29 2010 Valery Inozemtsev <shrek@altlinux.ru> 2.30.1-alt2
- disabled gtk-doc

* Tue Mar 23 2010 Valery Inozemtsev <shrek@altlinux.ru> 2.30.1-alt1
- 2.30.1

* Tue Mar 16 2010 Valery Inozemtsev <shrek@altlinux.ru> 2.30.0-alt1
- 2.30.0

* Sun Mar 07 2010 Valery Inozemtsev <shrek@altlinux.ru> 2.29.90-alt1
- 2.29.90

* Sun Nov 08 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.28.1-alt1
- 2.28.1

* Sat Sep 19 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.28.0-alt1
- 2.28.0

* Fri Sep 11 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.5-alt2
- fixed requires

* Thu Aug 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.5-alt1
- 0.5

* Tue May 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.3-alt1
- initial release

